.instagram {
  padding-top: 16px;
  padding-bottom: min(calc(40px + 1.1vw), 48px);

  @media (min-width: 768px) {
    background-color: $light-color;
    padding-top: 44px;
  }

  .instagram__header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: min(calc(12px + 1.25vw), 36px);

    .instagram__header-single {
      @media (min-width: 480px) {
        display: none;
      }
    }

    .instagram__header-plural {
      display: none;
      font-size: 1.15em;
      @media (min-width: 480px) {
        display: inline;
      }
    }

    .instagram__link {
      display: none;
      color: $font-color;
      font-size: 1.05em;
      font-weight: 700;
      line-height: 1.7;
      text-transform: uppercase;

      &::after {
          content: '-';
          margin-left: 4px;
      }

      @media (min-width: 768px) {
        display: flex;
      }
    }
  }

  .instagram__posts {
    display: flex;
    justify-content: space-between;
    gap: 8px;

    .instagram__image-container {
      width: 100%;
      max-width: 300px;

      .instagram__image {
        width: 100%;
        height: 100%;
        object-fit: cover;
      }

      &:nth-child(1n+2) {
        display: none;
      }

      @media (min-width: 480px) {
        &:nth-child(4n-2) {
          display: flex;
        }
      }

      @media (min-width: 768px) {
        &:nth-child(4n-1) {
          display: flex;
        }

        @media (min-width: 1024px) {
          &:nth-child(n) {
            display: flex;
          }
        }
      }
    }
  }
}